Subject: Re: [PATCH] tap: followups for the new `--stderr-prefix' option

From: Karl Berry <[email-masked]>
Date: Thu, 27 Feb 2025 14:01:00 -0700

Hi Richard - a friend (Nelson Beebe) ran the automake test suite on
numerous systems on the 1.17.90 pretest.  There was a plethora of
failures, and they seem to related to the new stderr-prefix failure and
shell quoting. Maybe.

It seems that the prefixing happened in general? That tap output doesn't
make much sense to me at first blush, I'm afraid. Anyway, I'll append
one particular failure (on Debian12/x86 system), and send you
separately a tarball with full logs. (I can't attach it here because my
friend doesn't want all his system info floating around in public. It's
fine to show non-identified data.)

Or, briefly looking at the logs, I wonder if his incredibly complex
$HOME/config.site file could be interfering with the tests -- though it
never did before. Maybe we somehow have to disable that for automake
test. Hmm.

(Aside: looks like our "compatible" change to py-compile is broken
too. Everything's broken. Sigh.)

Help? I'll be mostly offline the next couple of days, but hope to look
at it all in more detail this weekend. Thanks,
Karl

Here is the list of all failures on his Debian 12/x86 system:
34 lines matching "^FAIL:"
  11535:FAIL: t/instspc
  14168:FAIL: t/instspc.tap 16 - ampersand in destdir
  14541:FAIL: t/instspc.tap 19 - leftpar in builddir
  14579:FAIL: t/instspc.tap 20 - leftpar in destdir
  14628:FAIL: t/instspc.tap 21 - rightpar in builddir
  14676:FAIL: t/instspc.tap 22 - rightpar in destdir
  14801:FAIL: t/instspc.tap 23 - pipe in builddir
  14902:FAIL: t/instspc.tap 24 - pipe in destdir
  16959:FAIL: t/instspc.tap 37 - comma in builddir
  17040:FAIL: t/instspc.tap 38 - comma in destdir
  17472:FAIL: t/instspc.tap 41 - semicol in builddir
  17573:FAIL: t/instspc.tap 42 - semicol in destdir
  18001:FAIL: t/instspc.tap 45 - less in builddir
  18122:FAIL: t/instspc.tap 46 - less in destdir
  18227:FAIL: t/instspc.tap 47 - more in builddir
  18300:FAIL: t/instspc.tap 48 - more in destdir
  20029:FAIL: t/instspc.tap 59 - space in builddir
  20128:FAIL: t/instspc.tap 60 - space in destdir
  20232:FAIL: t/instspc.tap 61 - tab in builddir
  20331:FAIL: t/instspc.tap 62 - tab in destdir
  21630:FAIL: t/instspc.tap 72 - quadrigraph0 in destdir
  21733:FAIL: t/instspc.tap 73 - quadrigraph1 in builddir
  21831:FAIL: t/instspc.tap 74 - quadrigraph1 in destdir
  21935:FAIL: t/instspc.tap 75 - quadrigraph2 in builddir
  22033:FAIL: t/instspc.tap 76 - quadrigraph2 in destdir
  22153:FAIL: t/instspc.tap 77 - quadrigraph3 in builddir
  22261:FAIL: t/instspc.tap 78 - quadrigraph3 in destdir
  22672:FAIL: t/instspc.tap 81 - a_b in builddir
  22773:FAIL: t/instspc.tap 82 - a_b in destdir
  22890:FAIL: t/instspc.tap 83 - a__b in builddir
  23008:FAIL: t/instspc.tap 84 - a__b in destdir
  26584:FAIL: t/nodef
  26730:FAIL: t/nodef2
  27924:FAIL: t/py-compile-usage

And here is what I see for one particular failure:
FAIL: t/instspc.tap 16 - ampersand in destdir
#[stderr]+ result_ 'not ok' -D '' -r '' -- 'ampersand in destdir'
#[stderr]+ set +x
#[stderr]+ cd /local/build/cc/automake-1.17.90/t/instspc.dir
#[stderr]+ not am_keeping_testdirs
#[stderr]+ am_keeping_testdirs
#[stderr]+ case $keep_testdirs in
#[stderr]+ return 1
#[stderr]+ test 'not ok' = ok
#[stderr]+ : For shells with busted 'set -e.'
#[stderr]+ for test_name in $test_names_list
#[stderr]+ eval 'test_string=${instspc__percent}'
#[stderr]++ test_string=%
#[stderr]+ test x% = x
#[stderr]+ mkdir ./%
#[stderr]+ case $test_string in
#[stderr]+ for where in build dest
#[stderr]+ case $where in
#[stderr]+ build=./%
#[stderr]+ dest=/local/build/cc/automake-1.17.90/t/instspc.dir/dest-percent
#[stderr]+ cd ./%
#[stderr]+ r=ok
#[stderr]+ ../configure --prefix /%-prefix